{
    "fields": {
        "parent": {
            "entityList": [
                "Account",
                "Lead",
                "Contact",
                "Opportunity",
                "Case",
                "CVmhMietverhltnis",
                "CVmhRumungsklage",
                "CVmhErstgespraech",
                "CVmhVermieter",
                "CBeteiligte",
                "CCallQueues",
                "CVMHBeteiligte"
            ]
        },
        "cWichtigkeit": {
            "type": "enum",
            "required": true,
            "options": [
                "Standard",
                "Erhöht",
                "Hoch",
                "Dringend"
            ],
            "style": {
                "Standard": null,
                "Erhöht": "primary",
                "Hoch": "warning",
                "Dringend": "danger"
            },
            "default": "Standard",
            "audited": true,
            "tooltip": true,
            "maxLength": 100,
            "isCustom": true
        },
        "status": {
            "style": {
                "Planned": null,
                "Held": "success",
                "Not Held": "info",
                "TempNotReached": null,
                "FinalNotReached": null
            },
            "options": [
                "Planned",
                "Held",
                "Not Held",
                "TempNotReached",
                "FinalNotReached"
            ]
        },
        "cBeteiligtes": {
            "type": "linkMultiple"
        },
        "cCallQueues": {
            "type": "link"
        },
        "dateEnd": {
            "required": false,
            "minuteStep": 30
        },
        "direction": {
            "options": [
                "Outbound",
                "Inbound",
                "Internal"
            ],
            "style": {
                "Outbound": null,
                "Inbound": null,
                "Internal": null
            },
            "required": true
        }
    },
    "collection": {
        "orderBy": "dateStart",
        "order": "desc",
        "textFilterFields": [
            "name"
        ],
        "fullTextSearch": false,
        "countDisabled": false
    },
    "optimisticConcurrencyControl": false,
    "links": {
        "cBeteiligtes": {
            "type": "hasMany",
            "relationName": "cCallBeteiligte",
            "foreign": "calls1",
            "entity": "CBeteiligte",
            "audited": false,
            "isCustom": true
        },
        "cCallQueues": {
            "type": "belongsTo",
            "foreign": "calls1",
            "entity": "CCallQueues",
            "audited": false,
            "isCustom": true
        }
    }
}